import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * The ocean is the setting for our shark eating scenario. 
 * It's a place where person, medals, and sharks float around.
 * Ocean is a Greenfoot image
 * Justin Masiello
 * 12/1/17
 */
public class Ocean extends World
{
    private int score;
    private int time;
    /**
     * Constructor: Set up the staring objects.
     */
    public Ocean()
    {    
        super(780, 360, 1);
        prepare();
        setPaintOrder(Fish.class);
        score = 0;
        time = 2000;
        showScore();
        showTime ();

    }

    /**
     * Create new floating objects at irregular intervals.
     */
    public void act()
    {
        if (Greenfoot.getRandomNumber(100) < 2)
        {
            addObject(new GoldMedal(), 779, Greenfoot.getRandomNumber(360));
        }

        if (Greenfoot.getRandomNumber(100) < 3)
        {
            addObject(new BronzeMedal(), 779,Greenfoot.getRandomNumber(360)) ;
        }
        if (Greenfoot.getRandomNumber(100) < 1)
        {
            addObject(new Fish(), 779,10);
        }
        if (Greenfoot.getRandomNumber(100) < 1)
        {
            addObject(new Dolphin(), 779,350 );
        }
        if (Greenfoot.getRandomNumber(100) < 1)
        {
            addObject(new Shark(), 779, Greenfoot.getRandomNumber(360));
        }
        countTime();
    }

    public void addScore(int points)
    {
        score = score + points;
        showScore();
        if (score< 0)
        {
            Greenfoot.playSound("game-over.wav");
            Greenfoot.stop();
        }

    }

    private void showScore()
    {
        showText("Score:" + score, 80, 25);
    }

    private void countTime()
    {
        time--;
        showTime();
        if (time==0)
        {
            showEndMessage();
            Greenfoot.stop();
        }
    }

    private void showTime()
    {
        showText("Time:" + time, 700, 25);
    }

    private void showEndMessage()
    {
        showText("Time is up - you win!", 390, 150);
        showText("Your final score:" + score + "points", 390,170);
    }

    /**
     * Prepare the world for the start of the program. In this case: Create
     * a white blood cell and the lining at the edge of the blood stream.
     */
    private void prepare()
    {
        Person person = new Person();
        addObject(person,109,169);
    }
}
