import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Person eats the gold and bronze medals to gain points while attempting to avoid
 * the shark
 * Justin Masiello 
 * 12/1/17
 */
public class Person extends Actor
{
    private int score;

    /**
     * Act: move up and down when cursor keys are pressed.
     */
    public void act() 
    {
        checkKeyPress();
        checkCollision();
    }

    /**
     * Check whether a keyboard key has been pressed and react if it has.
     */
    private void checkKeyPress()
    {
        if (Greenfoot.isKeyDown("up")) 
        {
            setLocation(getX(), getY()-4);
        }

        if (Greenfoot.isKeyDown("down")) 
        {
            setLocation(getX(), getY()+4);
        }
        if (Greenfoot.isKeyDown("left")) 
        {
            setLocation(getX()-4, getY());
        }
        if (Greenfoot.isKeyDown("right")) 
        {
            setLocation(getX()+4, getY());
        }
    }

    private void checkCollision()
    {
        if (isTouching(GoldMedal.class))
        {
            Greenfoot.playSound("slurp.wav");
            removeTouching(GoldMedal.class);
            Ocean ocean = (Ocean) getWorld();
            ocean.addScore(30);
        }

        if (isTouching(BronzeMedal.class))
        {
            Greenfoot.playSound("slurp.wav");
            removeTouching(BronzeMedal.class);
            Ocean ocean = (Ocean) getWorld();
            ocean.addScore(20);
        }
        if ( isTouching(Shark.class)) 
        {
            removeTouching (Shark.class);
            Ocean ocean = (Ocean) getWorld();
            ocean.addScore(-100);
            Greenfoot.playSound("game-over.wav");
            Greenfoot.stop();

        }
    }
}

